[Prev: CHARSETCONVERTERS] | [Resources][TOC] | [Next: CONLEN]

# CHECKNOARCHIVE

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_CHECKNOARCHIVE=`[ `0` | `1` ]

Element

  `<CHECKNOARCHIVE>`
  `<NOCHECKNOARCHIVE>`

Command-line Option

  `-checknoarchive`
  `-nochecknoarchive`

## Description

If CHECKNOARCHIVE is set, MHonArc will check each message for the "no archive" flag. If present, MHonArc will not add the message to the archive. MHonArc looks for one of the following in a message header to determine if message should not be archived:

        X-no-archive: yes
        Restrict: no-external-archive

If either header field is present with the given value, and CHECKNOARCHIVE is set, MHonArc will skip the message.

## Default Setting

Off.

## Resource Variables

N/A

## Examples

None.

## Version

2.4.0

## See Also

MSGEXCFILTER

[Prev: CHARSETCONVERTERS] | [Resources][TOC] | [Next: CONLEN]